Subject: RE: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Mon, 23 Jan 2012 18:23:10 -0800

OK, it crashed for me again using the latest version from the link below. This time I wasn't doing anything other than running a compile. I was disconnected from the machine and when I connected remotely this is what I found.

C:\Documents and Settings\josejones\My Documents\Downloads>c:\MinGW\bin\gdb.exe -p 10208
GNU gdb (GDB) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 10208
[New Thread 10208.0x2420]
[New Thread 10208.0x1d80]
[New Thread 10208.0x3024]
[New Thread 10208.0x2c6c]
[New Thread 10208.0x29e4]
Reading symbols from C:\Documents and Settings\josejones\My Documents\Downloads\emacs-24.0.92\bin\emacs.exe...done.
[Switching to Thread 10208.0x29e4]
(gdb) source gdbinit
Warning: C:\Documents and Settings\josejones\My Documents\Downloads/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
Environment variable "TERM" not defined.
Breakpoint 1 at 0x114f0d3: file w32fns.c, line 7196.
Temporary breakpoint 2 at 0x114f722: file sysdep.c, line 859.
(gdb) c
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 10208.0x2420]
0x7d61002e in strchr () from C:\WINDOWS\system32\ntdll.dll
(gdb) bt
#0  0x7d61002e in strchr () from C:\WINDOWS\system32\ntdll.dll
#1  0x0114f10a in w32_abort () at w32fns.c:7210
#2  0x010ea4c8 in adjust_glyph_matrix (w=0x3903a00, matrix=0x38ed500, x=0, y=0, dim=...) at dispnew.c:493
#3  0x010eddb2 in allocate_matrices_for_window_redisplay (w=0x3903a00) at dispnew.c:1867
#4  0x010eec1d in adjust_frame_glyphs_for_window_redisplay (f=0x3903c00) at dispnew.c:2196
#5  0x010ee208 in adjust_frame_glyphs (f=0x3903c00) at dispnew.c:1944
#6  0x010ede82 in adjust_glyphs (f=0x3903c00) at dispnew.c:1889
#7  0x010f7aa7 in change_frame_size_1 (f=0x3903c00, newheight=65, newwidth=2, pretend=0, delay=0, safe=1) at dispnew.c:5826
#8  0x010f772b in change_frame_size (f=0x6, newheight=0, newwidth=-2, pretend=0, delay=0, safe=1) at dispnew.c:5736
#9  0x010f74e0 in do_pending_window_change (safe=1) at dispnew.c:5702
#10 0x011fd446 in redisplay_internal () at xdisp.c:12783
#11 0x011ff4db in redisplay_preserve_echo_area (from_where=11) at xdisp.c:13411
#12 0x0104b3d3 in wait_reading_process_output (time_limit=0, microsecs=0, read_kbd=-1, do_display=1, wait_for_cell=54749210,
    wait_proc=0x0, just_wait_proc=0) at process.c:4554
#13 0x0100ca33 in kbd_buffer_get_event (kbp=0x82f808, used_mouse_menu=0x82fa88, end_time=0x0) at keyboard.c:3851
#14 0x01009637 in read_char (commandflag=1, nmaps=8, maps=0x82f9a0, prev_event=54749210, used_mouse_menu=0x82fa88,
    end_time=0x0) at keyboard.c:2797
#15 0x0101c1d2 in read_key_sequence (keybuf=0x82fc04, bufsize=30, prompt=54749210, dont_downcase_last=0,
    can_return_switch_frame=1, fix_current_buffer=1) at keyboard.c:9300
#16 0x01005c17 in command_loop_1 () at keyboard.c:1448
#17 0x01032b5f in internal_condition_case (bfun=0x100561f <command_loop_1>, handlers=54806938, hfun=0x1004e3e <cmd_error>)
    at eval.c:1499
#18 0x0100527b in command_loop_2 (ignore=54749210) at keyboard.c:1159
#19 0x01032582 in internal_catch (tag=54804962, func=0x1005257 <command_loop_2>, arg=54749210) at eval.c:1256
#20 0x01005237 in command_loop () at keyboard.c:1138
#21 0x01004813 in recursive_edit_1 () at keyboard.c:758
#22 0x01004b2e in Frecursive_edit () at keyboard.c:822
#23 0x01002839 in main (argc=1, argv=0xb043c0) at emacs.c:1715
(gdb) info threads
  4 Thread 10208.0x2c6c  0x7d61c876 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
  3 Thread 10208.0x3024  0x7d61c846 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
  2 Thread 10208.0x1d80  0x7d947860 in USER32!SetActiveWindow () from C:\WINDOWS\syswow64\user32.dll
* 1 Thread 10208.0x2420  0x7d61002e in strchr () from C:\WINDOWS\system32\ntdll.dll
(gdb) t 2
[Switching to thread 2 (Thread 10208.0x1d80)]#0  0x7d947860 in USER32!SetActiveWindow () from C:\WINDOWS\syswow64\user32.dll
(gdb) bt
#0  0x7d947860 in USER32!SetActiveWindow () from C:\WINDOWS\syswow64\user32.dll
#1  0x7d947bbf in USER32!SetForegroundWindow () from C:\WINDOWS\syswow64\user32.dll
#2  0x6be8fef0 in ?? ()
#3  0x01143b78 in w32_msg_pump (msg_buf=0x6be8ff58) at w32fns.c:2251
#4  0x01143dac in w32_msg_worker (arg=0x0) at w32fns.c:2470
#5  0x7d4dfe37 in KERNEL32!GetConsoleOutputCP () from C:\WINDOWS\syswow64\kernel32.dll
#6  0x00000000 in ?? ()
(gdb) t 3
[Switching to thread 3 (Thread 10208.0x3024)]#0  0x7d61c846 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
(gdb) bt
#0  0x7d61c846 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
#1  0x7d4d8c9e in KERNEL32!GetCommandLineW () from C:\WINDOWS\syswow64\kernel32.dll
#2  0x00000228 in ?? ()
#3  0x00000000 in ?? ()
(gdb) t 4
[Switching to thread 4 (Thread 10208.0x2c6c)]#0  0x7d61c876 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
(gdb) bt
#0  0x7d61c876 in ntdll!NtAccessCheck () from C:\WINDOWS\system32\ntdll.dll
#1  0x7d4d08ac in KERNEL32!CreateThread () from C:\WINDOWS\syswow64\kernel32.dll
#2  0x00000208 in ?? ()
#3  0x00000000 in ?? ()
(gdb)

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Saturday, January 21, 2012 8:41 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 21 Jan 2012 08:08:54 -0800
> 
> Thanks, I'll update as soon as I can. Hopefully this crash is fixed (the clipboard one). You wouldn't happen to know which fix or what the fix was for the one you think will help this?

Yes, I do know.  See

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9087#77

for the explanation, and

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9087#119

for the patch that was installed to fix the problem.